version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 82e90cb56d98bc4ec8a250a9566993fb7c7eff52fd4c3c19db5b21a757945f6b, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
